Change log for jupyter-core package in Ubuntu

17 of 7 results
Published in eoan-release on 2019-07-11
Deleted in eoan-proposed (Reason: moved to release)
jupyter-core (4.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream release
  * Refresh patches, drop unconditional setuptools patch (no longer needed)
  * Update Standards-Version to 4.3.0

  [ Julien Puydt ]
  * Bump dh compat to 11.
  * Bump std-ver to 4.4.0.
  * Use my debian.org mail address.

 -- Julien Puydt <email address hidden>  Tue, 09 Jul 2019 18:47:12 +0200

Available diffs

Superseded in eoan-release on 2019-07-11
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-02-20
Deleted in bionic-proposed (Reason: moved to release)
jupyter-core (4.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

  [ Julien Puydt ]
  * Add copyright for shutil_which.py (Closes: #889620).

 -- Julien Puydt <email address hidden>  Tue, 20 Feb 2018 09:29:31 +0100

Available diffs

Superseded in bionic-release on 2018-02-20
Deleted in bionic-proposed on 2018-02-22 (Reason: moved to release)
jupyter-core (4.4.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release
  * Bump Standards-Version to 4.1.2 (no changes)
  * Disable use of unpackaged sphinxcontrib_github_alt package for docs
  * Recommend python{,3}-pip (used by jupyter-troubleshoot)
  * Add a "jupyter" metapackage which has dependencies on the basic set
    of jupyter packages
  * Install the upstream changelog

  [ Julien Puydt ]
  * Update copyright years
  * Use https for copyright format link

 -- Gordon Ball <email address hidden>  Thu, 07 Dec 2017 08:22:23 +0000

Available diffs

Superseded in bionic-release on 2018-02-05
Published in artful-release on 2017-09-07
Deleted in artful-proposed (Reason: moved to release)
jupyter-core (4.3.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Bump d/watch to version 4.
  * Mark the -doc package as Multi-Arch: foreign (following hinter).

  [ Gordon Ball ]
  * Add myself to uploaders.
  * Set minimum python3 version to 3.3
  * Bump Standards-Version to 4.1.0 (no changes)
  * Use debhelper compat level 10
  * Add Testsuite: autopkgtest-pkg-python (autodep8 test only)
  * Add pydist-overrides mapping jupyter_core to python-jupyter-core
    and python3 equivalent
  * Use python3 sphinx for documentation, add ${sphinxdoc:Built-Using}
    to documentation package
  * Switch build-dependencies on ipython to python-ipython (and
    python3 equivalent)

 -- Julien Puydt <email address hidden>  Mon, 04 Sep 2017 09:59:00 +0200

Available diffs

Superseded in artful-release on 2017-09-07
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
jupyter-core (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Gordon Ball <email address hidden>  Sun, 04 Dec 2016 12:18:25 +0100

Available diffs

Superseded in zesty-release on 2016-12-11
Deleted in zesty-proposed on 2016-12-13 (Reason: moved to release)
jupyter-core (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * Fix ENV_CONFIG_PATH for Debian systems, we never use /usr/etc.

 -- Ximin Luo <email address hidden>  Sat, 03 Dec 2016 15:28:26 +0100

Available diffs

Superseded in zesty-release on 2016-12-04
Deleted in zesty-proposed on 2016-12-05 (Reason: moved to release)
jupyter-core (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <email address hidden>  Wed, 02 Nov 2016 11:44:26 +0000
17 of 7 results